.TH "GIT-UBUNTU-QUEUE" "1" "2017-07-19" "Git-Ubuntu 0.2" "Git-Ubuntu Manual"

.SH "NAME"
git-ubuntu queue \- Interact with the Ubuntu unapproved and new queues in a Git repository
.SH "SYNOPSIS"
.SP
.NF
\fIgit ubuntu queue\fR clean|sync [\-d | \-\-directory <directory>]
.PP
\fIgit ubuntu queue\fR sync [\-\-source <source>]
[\-\-series <series>] [\-\-parent <parent>] [\-\-orphan]
[\-\-no-trim] [\-\-new] [\-\-unapproved] [\-\-no-fetch]
.FI
.SP
.SH "DESCRIPTION"
.SP
Import unapproved and new uploads for Ubuntu source packages to the
local repository\&.
.SP
.SH "OPTIONS"
.PP
clean|sync
.RS 4
The mode to operate in.
If "clean", delete all local queue-related tags\&.
If "sync", import uploads to the unapproved and new queues\&.
.RE
.PP
Both "clean" and "sync" recognize:
.PP
\-d <directory>, \-\-directory <directory>
.RS 4
The local directory to perform the merge in\&.
If not specified, the current directory is used\&.
.RE
.PP
"sync" also recognizes:
.PP
\-\-source <source>
.RS 4
Override source package name on which to act\&.
.RE
.PP
\-\-series <series>
.RS 4
Override Ubuntu series on which to act\&.
.RE
.PP
\-\-parent <parent>
.RS 4
Override commit parent for new imports\&.
.RE
.PP
\-\-orphan
.RS 4
Force new imports to be orphan commits\&.
.RE
.PP
\-\-no-trim
.RS 4
Do not remove old tags\&.
.RE
.PP
\-\-new
.RS 4
Only consider the New queue\&.
.RE
.PP
\-\-unapproved
.RS 4
Only consider the Unapproved queue\&.
.RE
.PP
\-\-no-fetch
.RS 4
Do not fetch from the importer repository first\&.
.RE
.SP
.SH "EXIT STATUS"
.SP
\fIgit ubuntu queue\fR exits with status 0 if the command completes
successfully\&.
\fIgit ubuntu queue\fR exits with nonzero exit status on errors\&.
.SP
.SH "REPORTING BUGS"
.SP
Report bugs at
.UR https://bugs.launchpad.net/git-ubuntu
.UE
\.
.SP
.SH "GIT-UBUNTU"
Part of the \fBgit-ubuntu\fR(1) suite
